Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class Shell.ExitCodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.util.Shell.ExitCodeException

All Implemented Interfaces:
  Serializable

Enclosing class:
  Shell

    public static class Shell.ExitCodeException

extends IOException

This is an IOException with exit code added.

See Also:
  Serialized Form

Constructor Summary
`Shell.ExitCodeException(int exitCode, String message)`

Method Summary
`int` | `getExitCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Shell.ExitCodeException

    public Shell.ExitCodeException(int exitCode,
                                   String message)

Method Detail

### getExitCode

    public int getExitCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation